<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_GeoFences_V3 StructType
 * @subpackage Structs
 */
class Get_GeoFences_V3 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GeoFenceSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GeoFenceSelection_V3
     */
    public $GeoFenceSelection;
    /**
     * Constructor method for Get_GeoFences_V3
     * @uses Get_GeoFences_V3::setLogin()
     * @uses Get_GeoFences_V3::setGeoFenceSelection()
     * @param \StructType\Login $login
     * @param \StructType\GeoFenceSelection_V3 $geoFenceSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\GeoFenceSelection_V3 $geoFenceSelection = null)
    {
        $this
            ->setLogin($login)
            ->setGeoFenceSelection($geoFenceSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_GeoFences_V3
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GeoFenceSelection value
     * @return \StructType\GeoFenceSelection_V3|null
     */
    public function getGeoFenceSelection()
    {
        return $this->GeoFenceSelection;
    }
    /**
     * Set GeoFenceSelection value
     * @param \StructType\GeoFenceSelection_V3 $geoFenceSelection
     * @return \StructType\Get_GeoFences_V3
     */
    public function setGeoFenceSelection(\StructType\GeoFenceSelection_V3 $geoFenceSelection = null)
    {
        $this->GeoFenceSelection = $geoFenceSelection;
        return $this;
    }
}
